g1
g2
g3

[cdf]
g1-cdf
g2-cdf
g3-cdf

[L1]
g1-L1
g2-L1
g3-L1

[ICC]
g1-ICC
g2-ICC
g3-ICC

[tdc]
g1-tdc
g2-tdc
g3-tdc

[ucl]
g1-ucl
g2-ucl
g3-ucl

[uel]
g1-uel
g2-uel
g3-uel

[FWC]
g1-FWC
g2-FWC
g3-FWC

[USC]
g1-USC
g2-USC
g3-USC